Task Manager overview

Task Manager provides information about programs and processes running on your computer. It also displays the most commonly used performance measures for processes.

Use Task Manager to monitor key indicators of your computer's performance. You can quickly see the status of the programs that are running and end programs that have stopped responding. You can also assess the activity of running processes using as many as 15 parameters, and see graphs and data on CPU and memory usage.

Click one of the following for more information:

Programs that are running

The Applications tab shows the status of the programs that are running on your computer.

On this tab, you can end, switch to, or start a program.

Related Topics

Processes that are running

The Processes tab shows information about the processes running on your computer.

For example, you can display information on CPU and memory usage, page faults, handle count, and a number of other parameters.

Related Topics

Performance measures

The Performance tab displays a dynamic overview of your computer's performance, including:

  • Graphs for CPU and memory usage.
  • Totals for the number of handles, threads, and processes running on the computer.
  • Totals, in kilobytes, for physical, kernel, and commit memory.

For more information about the Performance tab, see the Windows 2000 Professional Resource Guide, which is part of the Windows 2000 Professional Resource Kit.

Related Topics


End a program with Task Manager

To end a program with Task Manager

  1. On the Applications tab, click the task that you want to end.
  2. Click End Task.

Notes

  • If a program stops responding, press CTRL+ALT+DELETE to start Task Manager, click the Applications tab, click the program that is not responding, and then click End Task.
  • Any data entered or changes made in that program and not saved, will be lost.


End a process with Task Manager

To end a process with Task Manager

  1. Click the Processes tab, and then click the process that you want to end.
  2. Click End Process.

Important

  • Be careful when ending a process. If you end an application, you will lose unsaved data. If you end a system service, some part of the system may not function properly.

Note

  • You can end a process plus all processes directly or indirectly created by it.

    On the Process tab, right-click the process you want to end, and then click End Process Tree.

    For example, if you end the process tree for an e-mail program such as Outlook98, you will also end related processes such as mapisp32.exe, the MAPI spooler.


Switch to another program

To switch to another program

  1. On the Applications tab, click the program you want to switch to.
  2. Click Switch To.

Note

  • To open Task Manager, right-click an empty space on the taskbar, and then click Task Manager.


Start a new program

To start a new program

  1. On the Applications tab, click New Task.
  2. In Open, type the location and name of the program you want, and then click OK.

Note

  • New Task is identical to the Run command on the Start menu.


Monitor your computer's performance with Task Manager

To monitor your computer's performance with Task Manager

  • Click the Performance tab.

Note

  • To open Task Manager, right-click an empty space on the taskbar, and then click Task Manager.


Display other process counters

To display other process counters

  1. On the Processes tab, click View, and then click Select Columns.
  2. Click the items you want to appear as column headings, and then click OK.

Note

  • For more information about the process counters, see Related Topics.


Sort the list of processes

To sort the list of processes

  • On the Processes tab, click the column heading you want to sort by.

Note

  • To reverse the sort order, click the column heading a second time.


Change display options in Task Manager

To change display options in Task Manager

  1. Click the tab for the display option you want to change:
    • On the Applications tab, you can view details or large or small icons.
    • On the Processes tab, you can select the columns you want to display.
    • On the Performance tab, you can change the CPU History graph and show kernel times.
  2. On the View menu, click the view option you want.

Note

  • To open Task Manager, right-click an empty space on the taskbar, and then click Task Manager.
  • The Show Kernel Times option adds red lines to the CPU Usage and CPU Usage History graphs. The red lines indicate the amount of CPU resources consumed by kernel operations.


Update Task Manager data

To update Task Manager data

  • On the View menu, click Refresh Now.

Notes

  • To change the frequency at which the data is automatically updated, on the View menu, click Update Speed, and then click the option you want.
  • To temporarily freeze the data displayed in Task Manager, on the View menu, click Update Speed, and then click Paused.


Change the priority of a running program

To change the priority of a running program

  1. On the Processes tab, right-click the program you want to change.
  2. Point to Set Priority, and then click the option you want.

Notes

  • To view the priority of running programs, click the Processes tab, click View, click Select Columns, click Base Priority, and then click OK.
  • Changing the priority of a process can make it run faster or slower (depending on whether you raise or lower the priority), but it can also adversely affect the performance of other processes.


Assign a process to a processor

To assign a process to a processor

  1. On the Processes tab, right-click the process you want to assign.
  2. Click Set Affinity, and then click one or more processors.

Notes

  • The Set Affinity command is available only on multiprocessor computers.
  • Using the Set Affinity command limits the execution of the program or process to the selected processors and may decrease overall performance.


Process counters

In the Task Manager Processes tab, you can monitor running processes using the following counters, which can be displayed as column headings.

  • Base Priority
  • CPU Time
  • CPU Usage
  • GDI Objects
  • Handle Count
  • Image Name
  • I/O Other
  • I/O Other Bytes
  • I/O Reads
  • I/O Read Bytes
  • I/O Writes
  • I/O Write Bytes
  • Memory Usage
  • Memory Usage Delta
  • Non-paged Pool
  • Page Faults
  • Page Faults Delta
  • Paged Pool
  • Peak Memory Usage
  • PID (Process Identifier)
  • Session ID
  • Thread Count
  • User Name
  • USER Objects
  • Virtual Memory Size


Start Task Manager

To start Task Manager

  • Right-click an empty area of the taskbar, and then click Task Manager.

Notes

  • You can also start Task Manager by pressing CTRL+ALT+DELETE and then clicking Task Manager.
  • You can also start Task Manager by pressing CTRL+SHIFT+ESC.